EN_IDEA_INIT(3)

FUNCTION
en_idea_init - Create stream for IDEA encryption.

SYNOPSIS
#include <karma_en.h>

idea_status en_idea_init

(char key[EN_IDEA_KEY_SIZE], flag decrypt, char init_vector[EN_IDEA_BLOCK_SIZE], flag clear)

DESCRIPTION
This routine will initialise the IDEA cipher in Cipher Feed Back mode for a stream of data. The stream is uni-directional.

key The 16 byte IDEA key.

decrypt
    If TRUE the stream is to be decrypted.

init_vector
    The 8 byte initialisation vector.

clear
    If TRUE the key and initialisation vector will be cleared after use (highly recommended if they will not be needed again).

RETURN VALUE
An IDEA cipher status which may be sebsequently used by <-en_idea_cfb-> on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/